/**
 * Author: Gerry Koh
 * Company: BieMedia
 * Contact: gkoh@biemedia.com
 */
package
{
	import org.robotlegs.mvcs.Mediator;
	import mx.controls.Alert;
	
	public class ViewMediator extends Mediator
	{
		[Inject]
		public var view:View;
		
		
		// Overrides
		//
		override public function onRegister():void
		{
			// View Listeners
			eventMap.mapListener(view,ViewEvent.BUTTON_CLICKED,onButtonClicked);


			// Context Listeners
		}

		
		// Event Handlers
		//
		private function onButtonClicked(event:ViewEvent):void
		{
			trace("Event caught by mediator");
			Alert.show("Event caught by mediator");
		}
	
	}
}